iTunes

Opening the iTunes Store.If iTunes doesn't open, click the iTunes application icon in your Dock or on your Windows desktop.Progress Indicator
iTunes

iTunes is the world's easiest way to organize and add to your digital media collection.

We are unable to find iTunes on your computer. To download the free app On Demand Purchases by Comcast Interactive Media, get iTunes now.

Already have iTunes? Click I Have iTunes to open it now.

I Have iTunes Free Download
iTunes for Mac + PC

On Demand Purchases

By Comcast Interactive Media

Open iTunes to buy and download apps.

Description

XFINITY On Demand customers can now watch purchased TV shows and movies with the XFINITY TV On Demand Purchases app.

REQUIREMENTS:
- Wi-Fi Internet or cellular data connection for streaming and downloading of video
- iPhone 3GS+, iPad 2+, or iPad Mini 1+ running iOS 6 or higher
- XFINITY TV or Comcast Digital Video service with access to XFINITY On Demand
- Comcast ID and password

Streaming and downloading of video is not available internationally.

What's New in Version 1.1.1

Bug fixes

Screenshots

iPhone Screenshot 1
iPhone Screenshot 2
iPad Screenshot 1
iPad Screenshot 2
iPad Screenshot 3

Customer Reviews

Why Don't they have on demand to use

I hate the fact that xfinity hasn't made an on demand app so I can watch Code Lyoko😐

Only for "purchases"

Where is an XFinity app to watch on demand on my ipad or computer?

On Demand Purchases
View In iTunes
This app is designed for both iPhone and iPad
  • Free
  • Category: Entertainment
  • Updated: Apr 18, 2014
  • Version: 1.1.1
  • Size: 37.3 MB
  • Language: English
  • Seller: Comcast Interactive Media
You must be at least 17 years old to download this app.
  • Infrequent/Mild Alcohol, Tobacco, or Drug Use or References
  • Infrequent/Mild Simulated Gambling
  • Frequent/Intense Mature/Suggestive Themes
  • Frequent/Intense Profanity or Crude Humor
  • Infrequent/Mild Realistic Violence
  • Infrequent/Mild Horror/Fear Themes
  • Infrequent/Mild Sexual Content and Nudity
  • Frequent/Intense Cartoon or Fantasy Violence

Compatibility: Requires iOS 6.0 or later. Compatible with iPhone, iPad, and iPod touch. This app is optimized for iPhone 5.

Customer Ratings

We have not received enough ratings to display an average for the current version of this application.
All Versions:

Become a fan of the iTunes and App Store pages on Facebook for exclusive offers, the inside scoop on new apps and more.